cutlass::ComputeThreadOffsetFromStrides< Threads_, Strides_ > Struct Template Reference

Decompose threadId.x into coordinate of a cube whose dimensions are specified by Threads_. Afterwards compute the offset of those coordinates using Strides_. More...

`#include <shape.h>`

## Static Public Member Functions

static CUTLASS_DEVICE int | get ()

## Detailed Description

### template<typename Threads_, typename Strides_>
struct cutlass::ComputeThreadOffsetFromStrides< Threads_, Strides_ >

Template Parameters

  Threads_ | The dimension of the cube the threadIdx.x value is mapped on
  Strides_ | The strides to use when compute the offsets based on the coordinates of the cube.

## Member Function Documentation

## get()

template<typename Threads_ , typename Strides_ >

static CUTLASS_DEVICE int cutlass::ComputeThreadOffsetFromStrides< Threads_, Strides_ >::get | ( |  | ) |

inlinestatic

The documentation for this struct was generated from the following file:

- shape.h